{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Feedback for 1st Unit Test
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Feedback for 1st Unit Test
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for staffCourse in courseList %}
                        <li {% if staffCourseInstance.pk == staffCourse.pk %}class="active" {% else %}
                            class="" {% endif %}>
                            <a aria-expanded="true"
                               id={{ staffCourse.pk }}
                                       data-toggle="tab" name="courseTab"
                               onmouseover="$(this).css('cursor', 'pointer')">
                                {% if staffCourse.course.code %}
                                    {{ staffCourse.course.code }}
                                {% else %}
                                    {{ staffCourse.course.course_id }}
                                {% endif %}
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>

            {% if feedbackMarked %}
                <div role="alert" class="alert alert-info alert-dismissible fade in" align="center">
                    <h4>
                        Feedback already given for this course
                    </h4>
                </div>
            {% else %}
                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="hiddenStaffCoursePk" value="{{ staffCourseInstance.pk }}">
                    <input type="hidden" name="feedbackFormatPk" value="{{ feedbackFormatInstance.pk }}">
                    <div class="form-horizontal form-label-left">
                        {% for category in feedbackQuestionList %}
                            <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                                <h4>
                                    Category {{ forloop.counter }}:
                                    <strong>{{ category.category.categoryName }}</strong>
                                </h4>
                            </div>
                            {% for question in category.questionList %}
                                <table class="table table-bordered" style="table-layout: fixed">
                                    <tr>
                                        <td style="width: 10%; font-weight: bolder" align="center">
                                            Q. {{ forloop.counter }}</td>
                                        <th style="word-wrap: break-word">{{ question.question }}</th>
                                    </tr>
                                    {% for grade in feedbackGradesList %}
                                        <tr>
                                            <td style="width: 10%" align="center">
                                                <input type="radio" name="question-{{ question.pk }}"
                                                       value="{{ grade.pk }}" required>
                                            </td>
                                            <td style="word-wrap: break-word">{{ grade.gradeName }}&nbsp;(<strong>{{ grade.gradeShort }}</strong>)
                                            </td>
                                        </tr>
                                    {% endfor %}
                                </table>
                                <div><br></div>
                            {% endfor %}
                            <div><br><br></div>
                        {% endfor %}
                    </div>


                    <div class="col-md-12" align="center">

                        <!-- Button trigger modal -->
                        <button type="button" class="btn1 btn1-success" data-toggle="modal" data-target="#myModal">
                            Submit Feedback
                        </button>

                        <!-- Modal -->
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b>Confirm Submission</b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h4>
                                            <ul>
                                                <li>The feedback you have given will be kept Anonymous</li>
                                                <br>
                                                <li>Are you sure to submit your Feedback?</li>
                                            </ul>
                                        </h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                        </button>
                                        <button type="submit" name="submitFeedback" class="btn1 btn-dark-green">Submit
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            {% endif %}
        </div>
    </div>


    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

    </script>



    <script type="text/javascript">

        function preventBack() {
            window.history.forward();
        }

        setTimeout("preventBack()", 0);

        window.onunload = function () {

        };

    </script>


{% endblock %}